#ifndef WPAGEITEMWIDGET_H
#define WPAGEITEMWIDGET_H

#include <QWidget>
#include <QGraphicsItem>
#include <QGraphicsScene>
#include <QGraphicsProxyWidget>
#include <QDebug>

namespace Ui {
class wPageItemWidget;
}

class wPageItemWidget : public QWidget
{
    Q_OBJECT

public:
    explicit wPageItemWidget(QGraphicsScene *s, QWidget *parent = nullptr);
    ~wPageItemWidget();

public:
    void updateScale(QGraphicsScene *s);

public slots:
    void onRepeatChanged(int n);

private:
    Ui::wPageItemWidget *ui;
};

#endif // WPAGEITEMWIDGET_H
